#gnuplot script
set term postscript eps enhanced color
set style line 11 lt 1 lw 1.2 ps 1.0 pt 6 lc rgb "#CC3300" # red
set style line 21 lt 1 lw 1.2 ps 1.0 pt 2 lc rgb "#009900" # green
set style line 31 lt 1 lw 1.2 ps 1.0 pt 14 lc rgb "#CC9900" # orange
set style line 32 lt 2 lw 1.2 ps 1.0 pt 15 lc rgb "#CC9900" # orange
set style line 41 lt 1 lw 1.2 ps 1.0 pt 12 lc rgb "#3366CC" # blue
set style line 42 lt 2 lw 1.2 ps 1.0 pt 1 lc rgb "#3366CC" # blue
set style line 81 lt 1 lw 1.2 ps 1.0 pt 13 lc rgb "#FF0099" # pink 
set style line 82 lt 2 lw 1.2 ps 1.0 pt 4 lc rgb "#FF0099" # pink 
set style line 91 lt 1 lw 1.2 ps 1.0 pt 15 lc rgb "#3399FF" # sky 
set style line 92 lt 2 lw 1.2 ps 1.0 pt 6 lc rgb "#3399FF" # sky 
set size 0.45,0.65
set grid
set xrange [0:]
set yrange [0:]
set key below


#
set title "ZGEMV-N on GeForce-GTX-980"
set key below 
set ylabel "Performance [GFlops]" 
set xlabel "Occupancy [%]"
set output "fig_mublas_analyzer_zgemv_n_n128_occupancies.eps"
plot \
"mublas_analyzer_zgemv_n_n128.dat" using ($14*100):5 title "wo" w points ls 11,\
"mublas_analyzer_zgemv_n_n128.dat" using ($15*100):5 title "bo" w points ls 31,\
"mublas_analyzer_zgemv_n_n128.dat" using ($16*100):5 title "go" w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n256_occupancies.eps"
plot \
"mublas_analyzer_zgemv_n_n256.dat" using ($14*100):5 title "wo" w points ls 11,\
"mublas_analyzer_zgemv_n_n256.dat" using ($15*100):5 title "bo" w points ls 31,\
"mublas_analyzer_zgemv_n_n256.dat" using ($16*100):5 title "go" w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n384_occupancies.eps"
plot \
"mublas_analyzer_zgemv_n_n384.dat" using ($14*100):5 title "wo" w points ls 11,\
"mublas_analyzer_zgemv_n_n384.dat" using ($15*100):5 title "bo" w points ls 31,\
"mublas_analyzer_zgemv_n_n384.dat" using ($16*100):5 title "go" w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n512_occupancies.eps"
plot \
"mublas_analyzer_zgemv_n_n512.dat" using ($14*100):5 title "wo" w points ls 11,\
"mublas_analyzer_zgemv_n_n512.dat" using ($15*100):5 title "bo" w points ls 31,\
"mublas_analyzer_zgemv_n_n512.dat" using ($16*100):5 title "go" w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n640_occupancies.eps"
plot \
"mublas_analyzer_zgemv_n_n640.dat" using ($14*100):5 title "wo" w points ls 11,\
"mublas_analyzer_zgemv_n_n640.dat" using ($15*100):5 title "bo" w points ls 31,\
"mublas_analyzer_zgemv_n_n640.dat" using ($16*100):5 title "go" w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n768_occupancies.eps"
plot \
"mublas_analyzer_zgemv_n_n768.dat" using ($14*100):5 title "wo" w points ls 11,\
"mublas_analyzer_zgemv_n_n768.dat" using ($15*100):5 title "bo" w points ls 31,\
"mublas_analyzer_zgemv_n_n768.dat" using ($16*100):5 title "go" w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n896_occupancies.eps"
plot \
"mublas_analyzer_zgemv_n_n896.dat" using ($14*100):5 title "wo" w points ls 11,\
"mublas_analyzer_zgemv_n_n896.dat" using ($15*100):5 title "bo" w points ls 31,\
"mublas_analyzer_zgemv_n_n896.dat" using ($16*100):5 title "go" w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n1024_occupancies.eps"
plot \
"mublas_analyzer_zgemv_n_n1024.dat" using ($14*100):5 title "wo" w points ls 11,\
"mublas_analyzer_zgemv_n_n1024.dat" using ($15*100):5 title "bo" w points ls 31,\
"mublas_analyzer_zgemv_n_n1024.dat" using ($16*100):5 title "go" w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n1152_occupancies.eps"
plot \
"mublas_analyzer_zgemv_n_n1152.dat" using ($14*100):5 title "wo" w points ls 11,\
"mublas_analyzer_zgemv_n_n1152.dat" using ($15*100):5 title "bo" w points ls 31,\
"mublas_analyzer_zgemv_n_n1152.dat" using ($16*100):5 title "go" w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n1280_occupancies.eps"
plot \
"mublas_analyzer_zgemv_n_n1280.dat" using ($14*100):5 title "wo" w points ls 11,\
"mublas_analyzer_zgemv_n_n1280.dat" using ($15*100):5 title "bo" w points ls 31,\
"mublas_analyzer_zgemv_n_n1280.dat" using ($16*100):5 title "go" w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n1408_occupancies.eps"
plot \
"mublas_analyzer_zgemv_n_n1408.dat" using ($14*100):5 title "wo" w points ls 11,\
"mublas_analyzer_zgemv_n_n1408.dat" using ($15*100):5 title "bo" w points ls 31,\
"mublas_analyzer_zgemv_n_n1408.dat" using ($16*100):5 title "go" w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n1536_occupancies.eps"
plot \
"mublas_analyzer_zgemv_n_n1536.dat" using ($14*100):5 title "wo" w points ls 11,\
"mublas_analyzer_zgemv_n_n1536.dat" using ($15*100):5 title "bo" w points ls 31,\
"mublas_analyzer_zgemv_n_n1536.dat" using ($16*100):5 title "go" w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n1664_occupancies.eps"
plot \
"mublas_analyzer_zgemv_n_n1664.dat" using ($14*100):5 title "wo" w points ls 11,\
"mublas_analyzer_zgemv_n_n1664.dat" using ($15*100):5 title "bo" w points ls 31,\
"mublas_analyzer_zgemv_n_n1664.dat" using ($16*100):5 title "go" w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n1792_occupancies.eps"
plot \
"mublas_analyzer_zgemv_n_n1792.dat" using ($14*100):5 title "wo" w points ls 11,\
"mublas_analyzer_zgemv_n_n1792.dat" using ($15*100):5 title "bo" w points ls 31,\
"mublas_analyzer_zgemv_n_n1792.dat" using ($16*100):5 title "go" w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n1920_occupancies.eps"
plot \
"mublas_analyzer_zgemv_n_n1920.dat" using ($14*100):5 title "wo" w points ls 11,\
"mublas_analyzer_zgemv_n_n1920.dat" using ($15*100):5 title "bo" w points ls 31,\
"mublas_analyzer_zgemv_n_n1920.dat" using ($16*100):5 title "go" w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n2048_occupancies.eps"
plot \
"mublas_analyzer_zgemv_n_n2048.dat" using ($14*100):5 title "wo" w points ls 11,\
"mublas_analyzer_zgemv_n_n2048.dat" using ($15*100):5 title "bo" w points ls 31,\
"mublas_analyzer_zgemv_n_n2048.dat" using ($16*100):5 title "go" w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n2176_occupancies.eps"
plot \
"mublas_analyzer_zgemv_n_n2176.dat" using ($14*100):5 title "wo" w points ls 11,\
"mublas_analyzer_zgemv_n_n2176.dat" using ($15*100):5 title "bo" w points ls 31,\
"mublas_analyzer_zgemv_n_n2176.dat" using ($16*100):5 title "go" w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n2304_occupancies.eps"
plot \
"mublas_analyzer_zgemv_n_n2304.dat" using ($14*100):5 title "wo" w points ls 11,\
"mublas_analyzer_zgemv_n_n2304.dat" using ($15*100):5 title "bo" w points ls 31,\
"mublas_analyzer_zgemv_n_n2304.dat" using ($16*100):5 title "go" w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n2432_occupancies.eps"
plot \
"mublas_analyzer_zgemv_n_n2432.dat" using ($14*100):5 title "wo" w points ls 11,\
"mublas_analyzer_zgemv_n_n2432.dat" using ($15*100):5 title "bo" w points ls 31,\
"mublas_analyzer_zgemv_n_n2432.dat" using ($16*100):5 title "go" w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n2560_occupancies.eps"
plot \
"mublas_analyzer_zgemv_n_n2560.dat" using ($14*100):5 title "wo" w points ls 11,\
"mublas_analyzer_zgemv_n_n2560.dat" using ($15*100):5 title "bo" w points ls 31,\
"mublas_analyzer_zgemv_n_n2560.dat" using ($16*100):5 title "go" w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n2688_occupancies.eps"
plot \
"mublas_analyzer_zgemv_n_n2688.dat" using ($14*100):5 title "wo" w points ls 11,\
"mublas_analyzer_zgemv_n_n2688.dat" using ($15*100):5 title "bo" w points ls 31,\
"mublas_analyzer_zgemv_n_n2688.dat" using ($16*100):5 title "go" w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n2816_occupancies.eps"
plot \
"mublas_analyzer_zgemv_n_n2816.dat" using ($14*100):5 title "wo" w points ls 11,\
"mublas_analyzer_zgemv_n_n2816.dat" using ($15*100):5 title "bo" w points ls 31,\
"mublas_analyzer_zgemv_n_n2816.dat" using ($16*100):5 title "go" w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n2944_occupancies.eps"
plot \
"mublas_analyzer_zgemv_n_n2944.dat" using ($14*100):5 title "wo" w points ls 11,\
"mublas_analyzer_zgemv_n_n2944.dat" using ($15*100):5 title "bo" w points ls 31,\
"mublas_analyzer_zgemv_n_n2944.dat" using ($16*100):5 title "go" w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n3072_occupancies.eps"
plot \
"mublas_analyzer_zgemv_n_n3072.dat" using ($14*100):5 title "wo" w points ls 11,\
"mublas_analyzer_zgemv_n_n3072.dat" using ($15*100):5 title "bo" w points ls 31,\
"mublas_analyzer_zgemv_n_n3072.dat" using ($16*100):5 title "go" w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n3200_occupancies.eps"
plot \
"mublas_analyzer_zgemv_n_n3200.dat" using ($14*100):5 title "wo" w points ls 11,\
"mublas_analyzer_zgemv_n_n3200.dat" using ($15*100):5 title "bo" w points ls 31,\
"mublas_analyzer_zgemv_n_n3200.dat" using ($16*100):5 title "go" w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n3328_occupancies.eps"
plot \
"mublas_analyzer_zgemv_n_n3328.dat" using ($14*100):5 title "wo" w points ls 11,\
"mublas_analyzer_zgemv_n_n3328.dat" using ($15*100):5 title "bo" w points ls 31,\
"mublas_analyzer_zgemv_n_n3328.dat" using ($16*100):5 title "go" w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n3456_occupancies.eps"
plot \
"mublas_analyzer_zgemv_n_n3456.dat" using ($14*100):5 title "wo" w points ls 11,\
"mublas_analyzer_zgemv_n_n3456.dat" using ($15*100):5 title "bo" w points ls 31,\
"mublas_analyzer_zgemv_n_n3456.dat" using ($16*100):5 title "go" w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n3584_occupancies.eps"
plot \
"mublas_analyzer_zgemv_n_n3584.dat" using ($14*100):5 title "wo" w points ls 11,\
"mublas_analyzer_zgemv_n_n3584.dat" using ($15*100):5 title "bo" w points ls 31,\
"mublas_analyzer_zgemv_n_n3584.dat" using ($16*100):5 title "go" w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n3712_occupancies.eps"
plot \
"mublas_analyzer_zgemv_n_n3712.dat" using ($14*100):5 title "wo" w points ls 11,\
"mublas_analyzer_zgemv_n_n3712.dat" using ($15*100):5 title "bo" w points ls 31,\
"mublas_analyzer_zgemv_n_n3712.dat" using ($16*100):5 title "go" w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n3840_occupancies.eps"
plot \
"mublas_analyzer_zgemv_n_n3840.dat" using ($14*100):5 title "wo" w points ls 11,\
"mublas_analyzer_zgemv_n_n3840.dat" using ($15*100):5 title "bo" w points ls 31,\
"mublas_analyzer_zgemv_n_n3840.dat" using ($16*100):5 title "go" w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n3968_occupancies.eps"
plot \
"mublas_analyzer_zgemv_n_n3968.dat" using ($14*100):5 title "wo" w points ls 11,\
"mublas_analyzer_zgemv_n_n3968.dat" using ($15*100):5 title "bo" w points ls 31,\
"mublas_analyzer_zgemv_n_n3968.dat" using ($16*100):5 title "go" w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n4096_occupancies.eps"
plot \
"mublas_analyzer_zgemv_n_n4096.dat" using ($14*100):5 title "wo" w points ls 11,\
"mublas_analyzer_zgemv_n_n4096.dat" using ($15*100):5 title "bo" w points ls 31,\
"mublas_analyzer_zgemv_n_n4096.dat" using ($16*100):5 title "go" w points ls 21


#Warp-Occupancy
set title "ZGEMV-N on GeForce-GTX-980"
set nokey 
set ylabel "Performance [GFlops]" 
set xlabel "Warp-Occupancy"
set output "fig_mublas_analyzer_zgemv_n_n128_Warp-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n128.dat" using 14:5 every 1 w points ls 11
set output "fig_mublas_analyzer_zgemv_n_n256_Warp-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n256.dat" using 14:5 every 1 w points ls 11
set output "fig_mublas_analyzer_zgemv_n_n384_Warp-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n384.dat" using 14:5 every 1 w points ls 11
set output "fig_mublas_analyzer_zgemv_n_n512_Warp-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n512.dat" using 14:5 every 1 w points ls 11
set output "fig_mublas_analyzer_zgemv_n_n640_Warp-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n640.dat" using 14:5 every 1 w points ls 11
set output "fig_mublas_analyzer_zgemv_n_n768_Warp-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n768.dat" using 14:5 every 1 w points ls 11
set output "fig_mublas_analyzer_zgemv_n_n896_Warp-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n896.dat" using 14:5 every 1 w points ls 11
set output "fig_mublas_analyzer_zgemv_n_n1024_Warp-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n1024.dat" using 14:5 every 1 w points ls 11
set output "fig_mublas_analyzer_zgemv_n_n1152_Warp-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n1152.dat" using 14:5 every 1 w points ls 11
set output "fig_mublas_analyzer_zgemv_n_n1280_Warp-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n1280.dat" using 14:5 every 1 w points ls 11
set output "fig_mublas_analyzer_zgemv_n_n1408_Warp-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n1408.dat" using 14:5 every 1 w points ls 11
set output "fig_mublas_analyzer_zgemv_n_n1536_Warp-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n1536.dat" using 14:5 every 1 w points ls 11
set output "fig_mublas_analyzer_zgemv_n_n1664_Warp-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n1664.dat" using 14:5 every 1 w points ls 11
set output "fig_mublas_analyzer_zgemv_n_n1792_Warp-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n1792.dat" using 14:5 every 1 w points ls 11
set output "fig_mublas_analyzer_zgemv_n_n1920_Warp-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n1920.dat" using 14:5 every 1 w points ls 11
set output "fig_mublas_analyzer_zgemv_n_n2048_Warp-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n2048.dat" using 14:5 every 1 w points ls 11
set output "fig_mublas_analyzer_zgemv_n_n2176_Warp-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n2176.dat" using 14:5 every 1 w points ls 11
set output "fig_mublas_analyzer_zgemv_n_n2304_Warp-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n2304.dat" using 14:5 every 1 w points ls 11
set output "fig_mublas_analyzer_zgemv_n_n2432_Warp-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n2432.dat" using 14:5 every 1 w points ls 11
set output "fig_mublas_analyzer_zgemv_n_n2560_Warp-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n2560.dat" using 14:5 every 1 w points ls 11
set output "fig_mublas_analyzer_zgemv_n_n2688_Warp-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n2688.dat" using 14:5 every 1 w points ls 11
set output "fig_mublas_analyzer_zgemv_n_n2816_Warp-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n2816.dat" using 14:5 every 1 w points ls 11
set output "fig_mublas_analyzer_zgemv_n_n2944_Warp-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n2944.dat" using 14:5 every 1 w points ls 11
set output "fig_mublas_analyzer_zgemv_n_n3072_Warp-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n3072.dat" using 14:5 every 1 w points ls 11
set output "fig_mublas_analyzer_zgemv_n_n3200_Warp-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n3200.dat" using 14:5 every 1 w points ls 11
set output "fig_mublas_analyzer_zgemv_n_n3328_Warp-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n3328.dat" using 14:5 every 1 w points ls 11
set output "fig_mublas_analyzer_zgemv_n_n3456_Warp-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n3456.dat" using 14:5 every 1 w points ls 11
set output "fig_mublas_analyzer_zgemv_n_n3584_Warp-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n3584.dat" using 14:5 every 1 w points ls 11
set output "fig_mublas_analyzer_zgemv_n_n3712_Warp-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n3712.dat" using 14:5 every 1 w points ls 11
set output "fig_mublas_analyzer_zgemv_n_n3840_Warp-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n3840.dat" using 14:5 every 1 w points ls 11
set output "fig_mublas_analyzer_zgemv_n_n3968_Warp-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n3968.dat" using 14:5 every 1 w points ls 11
set output "fig_mublas_analyzer_zgemv_n_n4096_Warp-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n4096.dat" using 14:5 every 1 w points ls 11


#Block-Occupancy
set title "ZGEMV-N on GeForce-GTX-980"
set nokey 
set ylabel "Performance [GFlops]" 
set xlabel "Block-Occupancy"
set output "fig_mublas_analyzer_zgemv_n_n128_Block-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n128.dat" using 15:5 every 1 w points ls 31
set output "fig_mublas_analyzer_zgemv_n_n256_Block-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n256.dat" using 15:5 every 1 w points ls 31
set output "fig_mublas_analyzer_zgemv_n_n384_Block-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n384.dat" using 15:5 every 1 w points ls 31
set output "fig_mublas_analyzer_zgemv_n_n512_Block-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n512.dat" using 15:5 every 1 w points ls 31
set output "fig_mublas_analyzer_zgemv_n_n640_Block-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n640.dat" using 15:5 every 1 w points ls 31
set output "fig_mublas_analyzer_zgemv_n_n768_Block-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n768.dat" using 15:5 every 1 w points ls 31
set output "fig_mublas_analyzer_zgemv_n_n896_Block-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n896.dat" using 15:5 every 1 w points ls 31
set output "fig_mublas_analyzer_zgemv_n_n1024_Block-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n1024.dat" using 15:5 every 1 w points ls 31
set output "fig_mublas_analyzer_zgemv_n_n1152_Block-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n1152.dat" using 15:5 every 1 w points ls 31
set output "fig_mublas_analyzer_zgemv_n_n1280_Block-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n1280.dat" using 15:5 every 1 w points ls 31
set output "fig_mublas_analyzer_zgemv_n_n1408_Block-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n1408.dat" using 15:5 every 1 w points ls 31
set output "fig_mublas_analyzer_zgemv_n_n1536_Block-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n1536.dat" using 15:5 every 1 w points ls 31
set output "fig_mublas_analyzer_zgemv_n_n1664_Block-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n1664.dat" using 15:5 every 1 w points ls 31
set output "fig_mublas_analyzer_zgemv_n_n1792_Block-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n1792.dat" using 15:5 every 1 w points ls 31
set output "fig_mublas_analyzer_zgemv_n_n1920_Block-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n1920.dat" using 15:5 every 1 w points ls 31
set output "fig_mublas_analyzer_zgemv_n_n2048_Block-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n2048.dat" using 15:5 every 1 w points ls 31
set output "fig_mublas_analyzer_zgemv_n_n2176_Block-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n2176.dat" using 15:5 every 1 w points ls 31
set output "fig_mublas_analyzer_zgemv_n_n2304_Block-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n2304.dat" using 15:5 every 1 w points ls 31
set output "fig_mublas_analyzer_zgemv_n_n2432_Block-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n2432.dat" using 15:5 every 1 w points ls 31
set output "fig_mublas_analyzer_zgemv_n_n2560_Block-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n2560.dat" using 15:5 every 1 w points ls 31
set output "fig_mublas_analyzer_zgemv_n_n2688_Block-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n2688.dat" using 15:5 every 1 w points ls 31
set output "fig_mublas_analyzer_zgemv_n_n2816_Block-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n2816.dat" using 15:5 every 1 w points ls 31
set output "fig_mublas_analyzer_zgemv_n_n2944_Block-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n2944.dat" using 15:5 every 1 w points ls 31
set output "fig_mublas_analyzer_zgemv_n_n3072_Block-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n3072.dat" using 15:5 every 1 w points ls 31
set output "fig_mublas_analyzer_zgemv_n_n3200_Block-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n3200.dat" using 15:5 every 1 w points ls 31
set output "fig_mublas_analyzer_zgemv_n_n3328_Block-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n3328.dat" using 15:5 every 1 w points ls 31
set output "fig_mublas_analyzer_zgemv_n_n3456_Block-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n3456.dat" using 15:5 every 1 w points ls 31
set output "fig_mublas_analyzer_zgemv_n_n3584_Block-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n3584.dat" using 15:5 every 1 w points ls 31
set output "fig_mublas_analyzer_zgemv_n_n3712_Block-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n3712.dat" using 15:5 every 1 w points ls 31
set output "fig_mublas_analyzer_zgemv_n_n3840_Block-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n3840.dat" using 15:5 every 1 w points ls 31
set output "fig_mublas_analyzer_zgemv_n_n3968_Block-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n3968.dat" using 15:5 every 1 w points ls 31
set output "fig_mublas_analyzer_zgemv_n_n4096_Block-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n4096.dat" using 15:5 every 1 w points ls 31


#Grid-Occupancy
set title "ZGEMV-N on GeForce-GTX-980"
set nokey 
set ylabel "Performance [GFlops]" 
set xlabel "Grid-Occupancy"
set output "fig_mublas_analyzer_zgemv_n_n128_Grid-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n128.dat" using 16:5 every 1 w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n256_Grid-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n256.dat" using 16:5 every 1 w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n384_Grid-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n384.dat" using 16:5 every 1 w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n512_Grid-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n512.dat" using 16:5 every 1 w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n640_Grid-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n640.dat" using 16:5 every 1 w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n768_Grid-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n768.dat" using 16:5 every 1 w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n896_Grid-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n896.dat" using 16:5 every 1 w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n1024_Grid-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n1024.dat" using 16:5 every 1 w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n1152_Grid-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n1152.dat" using 16:5 every 1 w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n1280_Grid-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n1280.dat" using 16:5 every 1 w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n1408_Grid-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n1408.dat" using 16:5 every 1 w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n1536_Grid-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n1536.dat" using 16:5 every 1 w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n1664_Grid-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n1664.dat" using 16:5 every 1 w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n1792_Grid-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n1792.dat" using 16:5 every 1 w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n1920_Grid-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n1920.dat" using 16:5 every 1 w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n2048_Grid-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n2048.dat" using 16:5 every 1 w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n2176_Grid-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n2176.dat" using 16:5 every 1 w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n2304_Grid-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n2304.dat" using 16:5 every 1 w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n2432_Grid-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n2432.dat" using 16:5 every 1 w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n2560_Grid-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n2560.dat" using 16:5 every 1 w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n2688_Grid-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n2688.dat" using 16:5 every 1 w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n2816_Grid-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n2816.dat" using 16:5 every 1 w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n2944_Grid-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n2944.dat" using 16:5 every 1 w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n3072_Grid-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n3072.dat" using 16:5 every 1 w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n3200_Grid-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n3200.dat" using 16:5 every 1 w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n3328_Grid-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n3328.dat" using 16:5 every 1 w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n3456_Grid-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n3456.dat" using 16:5 every 1 w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n3584_Grid-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n3584.dat" using 16:5 every 1 w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n3712_Grid-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n3712.dat" using 16:5 every 1 w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n3840_Grid-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n3840.dat" using 16:5 every 1 w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n3968_Grid-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n3968.dat" using 16:5 every 1 w points ls 21
set output "fig_mublas_analyzer_zgemv_n_n4096_Grid-Occupancy.eps"
plot \
"mublas_analyzer_zgemv_n_n4096.dat" using 16:5 every 1 w points ls 21


#tx
set title "ZGEMV-N on GeForce-GTX-980"
set nokey 
set ylabel "Performance [GFlops]" 
set xlabel "tx"
set output "fig_mublas_analyzer_zgemv_n_tx.eps"
plot \
"mublas_analyzer_zgemv_n_n128.dat" using 8:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n256.dat" using 8:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n384.dat" using 8:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n512.dat" using 8:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n640.dat" using 8:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n768.dat" using 8:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n896.dat" using 8:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n1024.dat" using 8:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n1152.dat" using 8:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n1280.dat" using 8:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n1408.dat" using 8:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n1536.dat" using 8:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n1664.dat" using 8:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n1792.dat" using 8:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n1920.dat" using 8:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n2048.dat" using 8:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n2176.dat" using 8:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n2304.dat" using 8:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n2432.dat" using 8:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n2560.dat" using 8:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n2688.dat" using 8:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n2816.dat" using 8:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n2944.dat" using 8:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n3072.dat" using 8:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n3200.dat" using 8:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n3328.dat" using 8:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n3456.dat" using 8:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n3584.dat" using 8:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n3712.dat" using 8:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n3840.dat" using 8:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n3968.dat" using 8:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n3968.dat" using 8:5 every 1 w points ls 41


#ty
set title "ZGEMV-N on GeForce-GTX-980"
set nokey 
set ylabel "Performance [GFlops]" 
set xlabel "ty"
set output "fig_mublas_analyzer_zgemv_n_ty.eps"
plot \
"mublas_analyzer_zgemv_n_n128.dat" using 9:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n256.dat" using 9:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n384.dat" using 9:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n512.dat" using 9:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n640.dat" using 9:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n768.dat" using 9:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n896.dat" using 9:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n1024.dat" using 9:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n1152.dat" using 9:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n1280.dat" using 9:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n1408.dat" using 9:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n1536.dat" using 9:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n1664.dat" using 9:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n1792.dat" using 9:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n1920.dat" using 9:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n2048.dat" using 9:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n2176.dat" using 9:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n2304.dat" using 9:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n2432.dat" using 9:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n2560.dat" using 9:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n2688.dat" using 9:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n2816.dat" using 9:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n2944.dat" using 9:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n3072.dat" using 9:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n3200.dat" using 9:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n3328.dat" using 9:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n3456.dat" using 9:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n3584.dat" using 9:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n3712.dat" using 9:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n3840.dat" using 9:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n3968.dat" using 9:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n3968.dat" using 9:5 every 1 w points ls 41


#th
set title "ZGEMV-N on GeForce-GTX-980"
set nokey 
set ylabel "Performance [GFlops]" 
set xlabel "th"
set output "fig_mublas_analyzer_zgemv_n_th.eps"
plot \
"mublas_analyzer_zgemv_n_n128.dat" using 10:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n256.dat" using 10:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n384.dat" using 10:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n512.dat" using 10:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n640.dat" using 10:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n768.dat" using 10:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n896.dat" using 10:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n1024.dat" using 10:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n1152.dat" using 10:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n1280.dat" using 10:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n1408.dat" using 10:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n1536.dat" using 10:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n1664.dat" using 10:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n1792.dat" using 10:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n1920.dat" using 10:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n2048.dat" using 10:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n2176.dat" using 10:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n2304.dat" using 10:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n2432.dat" using 10:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n2560.dat" using 10:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n2688.dat" using 10:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n2816.dat" using 10:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n2944.dat" using 10:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n3072.dat" using 10:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n3200.dat" using 10:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n3328.dat" using 10:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n3456.dat" using 10:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n3584.dat" using 10:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n3712.dat" using 10:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n3840.dat" using 10:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n3968.dat" using 10:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n3968.dat" using 10:5 every 1 w points ls 41


#tyx
set title "ZGEMV-N on GeForce-GTX-980"
set nokey 
set ylabel "Performance [GFlops]" 
set xlabel "tyx"
set output "fig_mublas_analyzer_zgemv_n_tyx.eps"
plot \
"mublas_analyzer_zgemv_n_n128.dat" using 11:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n256.dat" using 11:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n384.dat" using 11:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n512.dat" using 11:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n640.dat" using 11:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n768.dat" using 11:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n896.dat" using 11:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n1024.dat" using 11:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n1152.dat" using 11:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n1280.dat" using 11:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n1408.dat" using 11:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n1536.dat" using 11:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n1664.dat" using 11:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n1792.dat" using 11:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n1920.dat" using 11:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n2048.dat" using 11:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n2176.dat" using 11:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n2304.dat" using 11:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n2432.dat" using 11:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n2560.dat" using 11:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n2688.dat" using 11:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n2816.dat" using 11:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n2944.dat" using 11:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n3072.dat" using 11:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n3200.dat" using 11:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n3328.dat" using 11:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n3456.dat" using 11:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n3584.dat" using 11:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n3712.dat" using 11:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n3840.dat" using 11:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n3968.dat" using 11:5 every 1 w points ls 41,\
"mublas_analyzer_zgemv_n_n3968.dat" using 11:5 every 1 w points ls 41


#stat
set title "ZGEMV-N on GeForce-GTX-980"
set key below 
set xlabel "Problem Size (n)"
set ylabel "Performance [GFlops]" offset 1.5,0
set xrange [0:4096]
set yrange [0:*]
set xtics 1024
set output "fig_mublas_analyzer_zgemv_n_perf.eps"
set boxwidth 0.4 relative
set style fill empty
plot \
"mublas_analyzer_zgemv_n_eval_statistics.dat" using 1:7:7:7:7 notitle w candlesticks ls 21,\
"mublas_analyzer_zgemv_n_eval_statistics.dat" using 1:2:3:4:5 title "all" w candlesticks whiskerbars ls 21,\
"mublas_analyzer_zgemv_n_eval_mublas_auto_static.dat" using 2:5 title "auto-kernel" w linespoints ls 31,\
"mublas_analyzer_zgemv_n_eval_mublas_auto.dat" using 2:5 title "auto" w linespoints ls 11,\
"mublas_analyzer_zgemv_n_eval_cublas.dat" using 2:5 title "cuBLAS7.5" w linespoints ls 42

#txty
set output "fig_mublas_analyzer_zgemv_n_txty.eps"
set ylabel "# of threads"
set autoscale y
plot \
"mublas_analyzer_zgemv_n_eval_mublas_auto.dat" using 2:8 title "tx(auto)" w linespoints ls 81,\
"mublas_analyzer_zgemv_n_eval_mublas_auto.dat" using 2:9 title "ty(auto)" w linespoints ls 91,\
"mublas_analyzer_zgemv_n_eval_mublas_best.dat" using 2:8 title "tx(best)" w linespoints ls 82,\
"mublas_analyzer_zgemv_n_eval_mublas_best.dat" using 2:9 title "ty(best)" w linespoints ls 92

