#ifndef PREC_C_H
#define PREC_C_H

#ifdef PREC_C

#define FPADDCOUNT 2
#define FPMULCOUNT 6
#define FPMADCOUNT 8

// TYPE
#define CUBLAS_TYPE cuFloatComplex
#define CUBLAS_BASETYPE float
#define CUBLAS_ZERO make_cuFloatComplex(0.,0.)
#define CUBLAS_ONE make_cuFloatComplex(1.,0.)
#define CUBLAS_NEGONE make_cuFloatComplex(-1.,0.)
#define CBLAS_TYPE complex
#define CBLAS_BASETYPE float
#define CBLAS_ZERO {0.,0.}
#define CBLAS_ONE {1.,0.}
#define CBLAS_NEGONE {-1.,0.}
#define MBLAS_TYPE qd_complex
#define MBLAS_BASETYPE qd_real
#define MBLAS_ZERO qd_complex(qd_real(0.),qd_real(0.))
#define MBLAS_ONE qd_complex(qd_real(1.),qd_real(0.))
#define MBLAS_NEGONE qd_complex(qd_real(-1.),qd_real(0.))

#if defined (MUBLAS)
#define GPU_TYPE cuFloatComplex
#elif defined (CUBLAS)
#define GPU_TYPE cuFloatComplex
#elif defined (KBLAS)
#define GPU_TYPE cuFloatComplex
#elif defined (MAGMA)
#define GPU_TYPE magmaFloatComplex
#elif defined (CULA)
#define GPU_TYPE culaFloatComplex
#elif defined (ASPEN)
#define GPU_TYPE cuFloatComplex
#endif
#define MAKE_GPU_TYPE(r,i) make_cuFloatComplex(r,i)
#define MAKE_GPU_TYPE_REAL(r) make_cuFloatComplex(r,0.)

// COPY
#define CBLAS_COPY cblas_ccopy
#define MBLAS_COPY Ccopy
#define MUBLAS_COPY mublasCcopy
#define CUBLAS_COPY cublasCcopy
#define MAGMA_COPY magmablas_ccopy
#define CULA_COPY culaDeviceCcopy
#define KBLAS_COPY kblas_ccopy

// SCAL
#define CBLAS_SCAL cblas_cscal
#define MBLAS_SCAL Cscal
#define MUBLAS_SCAL mublasCscal
#define CUBLAS_SCAL cublasCscal
#define MAGMA_SCAL 
#define CULA_SCAL 
#define KBLAS_SCAL

// AXPY
#define CBLAS_AXPY cblas_caxpy
#define MBLAS_AXPY Caxpy
#define MUBLAS_AXPY mublasCaxpy
#define CUBLAS_AXPY cublasCaxpy
#define MAGMA_AXPY magmablas_caxpy
#define CULA_AXPY culaDeviceCaxpy
#define KBLAS_AXPY kblas_caxpy

// DOTU
#define CBLAS_DOTU cblas_cdotu
#define MBLAS_DOTU Cdotu
#define MUBLAS_DOTU mublasCdotu
#define CUBLAS_DOTU cublasCdotu
#define MAGMA_DOTU magmablas_cdotu
#define CULA_DOTU culaDeviceCdotu
#define KBLAS_DOTU kblas_cdotu

// GEMV
#define MUBLAS_GEMV_MGPU_ASYNC mublasCgemvMgpuAsync
#define MUBLAS_GEMV_MGPU mublasCgemvMgpu
#define CBLAS_GEMV cblas_cgemv
#define MBLAS_GEMV Cgemv
#define MUBLAS_GEMV mublasCgemv
#define CUBLAS_GEMV cublasCgemv
#define MAGMA_GEMV magmablas_cgemv
#define CULA_GEMV culaDeviceCgemv
#define KBLAS_GEMV kblas_cgemv
#define ASPEN_GEMV ASPEN_cgemv

// HEMV
#define CBLAS_HEMV cblas_chemv
#define MBLAS_HEMV Chemv
#define MUBLAS_HEMV mublasChemv
#define CUBLAS_HEMV cublasChemv
#define MAGMA_HEMV magmablas_chemv
#define CULA_HEMV culaDeviceChemv
#define KBLAS_HEMV kblas_chemv
#define ASPEN_HEMV ASPEN_chemv

// TRMV
#define CBLAS_TRMV cblas_ctrmv
#define MBLAS_TRMV Ctrmv
#define MUBLAS_TRMV mublasCtrmv
#define CUBLAS_TRMV cublasCtrmv
#define MAGMA_TRMV magmablas_ctrmv
#define CULA_TRMV culaDeviceCtrmv
#define KBLAS_TRMV
#define ASPEN_TRMV

// TRSV
#define CBLAS_TRSV cblas_ctrsv
#define MBLAS_TRSV Ctrsv
#define MUBLAS_TRSV mublasCtrsv
#define CUBLAS_TRSV cublasCtrsv
#define MAGMA_TRSV magmablas_ctrsv
#define CULA_TRSV culaDeviceCtrsv
#define KBLAS_TRSV
#define ASPEN_TRSV

// GEMM
#define CBLAS_GEMM cblas_cgemm
#define MBLAS_GEMM Cgemm
#define MUBLAS_GEMM mublasCgemm
#define CUBLAS_GEMM cublasCgemm
#define CUBLAS_GEMM_MGPU cublasXtCgemm
#define MAGMA_GEMM magmablas_cgemm
#define CULA_GEMM culaDeviceCgemm
#define KBLAS_GEMM 
#define ASPEN_GEMM 

// NRM2
#define CUBLAS_NRM cublasScnrm2
#define CBLAS_NRM cblas_scnrm2
#define MBLAS_NRM RCnrm2

// GERU
#define CBLAS_GERU cblas_cgeru
#define MBLAS_GERU Cgeru
#define MUBLAS_GERU 
#define CUBLAS_GERU cublasCgeru
#define MAGMA_GERU magmablas_cgeru
#define CULA_GERU culaDeviceCgeru
#define KBLAS_GERU 
#define ASPEN_GERU 

// CSRMV
#define MUBLAS_CSRMV mublasCcsrmv
#define CUBLAS_CSRMV cusparseCcsrmv

// GEAM
#define MUBLAS_GEAM mublasCgeam
#define CUBLAS_GEAM cublasCgeam

#endif
#endif
