#ifndef TESTING_COMMON
#define TESTING_COMMON

// header ------------------------------------------
#include "testing_setting.h"

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdint.h>
#define __STDC_FORMAT_MACROS
#include <inttypes.h>
#include <sys/time.h>
#include <unistd.h>
#if defined (CHECK_CBLAS)
#include <f2c.h>
#include <cblas.h>
#endif
#include <algorithm>
#include <cuda.h>
#include <cuda_runtime_api.h>
#include <math.h>
#include <cublas_v2.h>
#include <getopt.h>
#include <ctype.h>

#if defined (USE_NVML)
#include <nvml.h>
#endif

#if defined (CHECK_CUBLAS)
#define REFERENCE_TYPE CUBLAS_TYPE
#define REFERENCE_BASETYPE CUBLAS_BASETYPE
#define REFERENCE_ZERO CUBLAS_ZERO
#define REFERENCE_ONE CUBLAS_ONE
#define REFERENCE_NEGONE CUBLAS_NEGONE
#define REFERENCE_AXPY CUBLAS_AXPY
#define REFERENCE_NRM CUBLAS_NRM
#elif defined (CHECK_CBLAS)
//#include <clapack.h>
#define REFERENCE_TYPE CBLAS_TYPE
#define REFERENCE_BASETYPE CBLAS_BASETYPE
#define REFERENCE_ZERO CBLAS_ZERO
#define REFERENCE_ONE CBLAS_ONE
#define REFERENCE_NEGONE CBLAS_NEGONE
#define REFERENCE_AXPY CBLAS_AXPY
#define REFERENCE_NRM CBLAS_NRM
#elif defined (CHECK_MPACK)
#include <qd/qd_real.h>
#include <mblas_qd.h>
#define REFERENCE_TYPE MBLAS_TYPE
#define REFERENCE_BASETYPE MBLAS_BASETYPE
#define REFERENCE_ZERO MBLAS_ZERO
#define REFERENCE_ONE MBLAS_ONE
#define REFERENCE_NEGONE MBLAS_NEGONE
#define REFERENCE_AXPY MBLAS_AXPY
#define REFERENCE_NRM MBLAS_NRM
#endif

#if defined (MUBLAS)
#include <mublas.h>
#elif defined (CUBLAS)
#elif defined (KBLAS)
#include <kblas.h> 
#elif defined (MAGMA)
#include <magma.h>
#elif defined (CULA)
#include <cula_blas_device.h>
#elif defined (ASPEN)
#include <aspen.h>
#endif

#if defined (PREC_S)
#include "prec_s.h"
#endif
#if defined (PREC_D)
#include "prec_d.h"
#endif
#if defined (PREC_C)
#include "prec_c.h"
#endif
#if defined (PREC_Z)
#include "prec_z.h"
#endif
#if defined (PREC_W)
#include "prec_w.h"
#endif
#if defined (PREC_U)
#include "prec_u.h"
#endif
#if defined (PREC_B)
#include "prec_b.h"
#endif
#if defined (PREC_V)
#include "prec_v.h"
#endif

#endif
