#ifndef TESTING_LEVEL1
#define TESTING_LEVEL1

#define DIM1

// === AXPY =====================================================
#if defined (AXPY)
// target routine
#if defined (MUBLAS)
#define ROUTINE_TARGET(ha,th,n,al,X,Y) MUBLAS_AXPY(&ha,n,&al,X,th.incx,Y,th.incy)
#elif defined (CUBLAS)
#define ROUTINE_TARGET(ha,th,n,al,X,Y) CUBLAS_AXPY(ha,n,&al,X,th.incx,Y,th.incy)
#endif
// reference routine
#if defined (CHECK_MPACK)
#define ROUTINE_REFERENCE(th,n,al,X,Y) MBLAS_AXPY(n,al,X,th.incx,Y,th.incy)
#elif defined (CHECK_CBLAS)
#if defined (PREC_S) || defined (PREC_D) || defined (PREC_W) || defined (PREC_B)
#define ROUTINE_REFERENCE(th,n,al,X,Y) CBLAS_AXPY(n,al,X,th.incx,Y,th.incy)
#else
#define ROUTINE_REFERENCE(th,n,al,X,Y) CBLAS_AXPY(n,&al,X,th.incx,Y,th.incy)
#endif
#elif defined (CHECK_CUBLAS)
#define ROUTINE_REFERENCE(ha,th,n,al,X,Y) CUBLAS_AXPY(ha,n,&al,X,th.incx,Y,th.incy)
#endif
// %%%
#define ROUTINE_FLOPS(n)				(FPMADCOUNT*n)
#define ROUTINE_BYTES(n,s)				(3*n*s)
#define ROUTINE_MAXSIZE(gmem,margin,s)	((gmem-margin)/2/s)
#endif
// ==============================================================

// === SCAL =====================================================
#if defined (SCAL)
// target routine
#if defined (MUBLAS)
#define ROUTINE_TARGET(ha,th,n,al,X,Y) MUBLAS_SCAL(&ha,n,&al,X,th.incx)
#elif defined (CUBLAS)
#define ROUTINE_TARGET(ha,th,n,al,X,Y) CUBLAS_SCAL(ha,n,&al,X,th.incx)
#endif
// reference routine
#if defined (CHECK_MPACK)
#define ROUTINE_REFERENCE(th,n,al,X,Y) MBLAS_SCAL(n,al,X,th.incx)
#elif defined (CHECK_CBLAS)
#if defined (PREC_S) || defined (PREC_D) || defined (PREC_W) || defined (PREC_B)
#define ROUTINE_REFERENCE(th,n,al,X,Y) CBLAS_SCAL(n,al,X,th.incx)
#else
#define ROUTINE_REFERENCE(th,n,al,X,Y) CBLAS_SCAL(n,&al,X,th.incx)
#endif
#elif defined (CHECK_CUBLAS)
#define ROUTINE_REFERENCE(ha,th,n,al,X,Y) CUBLAS_SCAL(ha,n,&al,X,th.incx)
#endif
// %%%
#define ROUTINE_FLOPS(n)				(FPMULCOUNT*n)
#define ROUTINE_BYTES(n,s)				(2*n*s)
#define ROUTINE_MAXSIZE(gmem,margin,s)	((gmem-margin)/s)
#endif
// ==============================================================

// === COPY =====================================================
#if defined (COPY)
// %%%
#define ROUTINE_FLOPS(n)				(0)
#define ROUTINE_BYTES(n,s)				(2*n*s)
#define ROUTINE_MAXSIZE(gmem,margin,s)	((gmem-margin)/s)
#endif
// ==============================================================

#endif
