#ifndef TESTING_LEVEL2B
#define TESTING_LEVEL2B

// === GER  =====================================================
#if defined (GER)
#define DIM2
// target routine
#if defined (MUBLAS)
#elif defined (CUBLAS)
#define ROUTINE_TARGET(ha,th,m,n,al,A,lda,X,bt,Y) CUBLAS_GER(ha,m,n,&al,X,th.incx,Y,th.incy,A,lda)
#elif defined (KBLAS)
#elif defined (MAGMA)
#define ROUTINE_TARGET(ha,th,m,n,al,A,lda,X,bt,Y) MAGMA_GER(m,n,al,X,th.incx,Y,th.incy,A,lda)
#elif defined (CULA)
#elif defined (ASPEN)
#endif
// reference routine
#if defined (CHECK_MPACK)
#define ROUTINE_REFERENCE(th,m,n,al,A,lda,X,bt,Y) MBLAS_GER(m,n,al,X,th.incx,Y,th.incy,A,m)
#elif defined (CHECK_CBLAS)
#define ROUTINE_REFERENCE(th,m,n,al,A,lda,X,bt,Y) CBLAS_GER(CblasColMajor,m,n,al,X,th.incx,Y,th.incy,A,m)
#elif defined (CHECK_CUBLAS)
#define ROUTINE_REFERENCE(th,m,n,al,A,lda,X,bt,Y) CUBLAS_GER(ha,m,n,&al,X,th.incx,Y,th.incy,A,lda)
#endif
// %%%
#define ROUTINE_FLOPS(m,n)						(0) // !!!
#define ROUTINE_BYTES(m,n,s)					((m+n+m*n)*s) 
#define ROUTINE_MAXSIZE(gmem,margin,s)			(sqrt((gmem-margin)/s))
#define ROUTINE_MAXSIZE_1(gmem,margin,s,dim1)	(dim1*0) // !!!
#endif
// ==============================================================

// === GERU =====================================================
#if defined (GERU)
#define DIM2
// target routine
#if defined (MUBLAS)
#elif defined (CUBLAS)
#define ROUTINE_TARGET(ha,th,m,n,al,A,lda,X,bt,Y) CUBLAS_GERU(ha,m,n,&al,X,th.incx,Y,th.incy,A,lda)
#elif defined (KBLAS)
#elif defined (MAGMA)
#define ROUTINE_TARGET(ha,th,m,n,al,A,lda,X,bt,Y) MAGMA_GERU(m,n,al,X,th.incx,Y,th.incy,A,lda)
#elif defined (CULA)
#elif defined (ASPEN)
#endif
// reference routine
#if defined (CHECK_MPACK)
#define ROUTINE_REFERENCE(th,m,n,al,A,lda,X,bt,Y) MBLAS_GERU(m,n,al,X,th.incx,Y,th.incy,A,m)
#elif defined (CHECK_CBLAS)
#define ROUTINE_REFERENCE(th,m,n,al,A,lda,X,bt,Y) CBLAS_GERU(CblasColMajor,m,n,&al,X,th.incx,Y,th.incy,A,m)
#elif defined (CHECK_CUBLAS)
#define ROUTINE_REFERENCE(th,m,n,al,A,lda,X,bt,Y) CUBLAS_GERU(ha,m,n,&al,X,th.incx,Y,th.incy,A,lda)
#endif
// %%%
#define ROUTINE_FLOPS(m,n)						(0) // !!!
#define ROUTINE_BYTES(m,n,s)					((m+n+m*n)*s) 
#define ROUTINE_MAXSIZE(gmem,margin,s)			(sqrt((gmem-margin)/s))
#define ROUTINE_MAXSIZE_1(gmem,margin,s,dim1)	(dim1*0) // !!!
#endif
// ==============================================================


#endif
