#ifndef TESTING_SETTING
#define TESTING_SETTING

// ***** SETTING ***********************************
// size_t
#define SIZE_T			int32_t
//#define SIZE_T			size_t

// performance measurement:
// enable PERF_ACCURATE for accurate measurement: a routine is repeatedly executed at least MINSEC second, at least MINLOOP, and at maximum MAXLOOP times for each problem size. When PERF_ACCURATE is not defined, a routine is executed at least MINLOOP times and then the program displays the best performance among MINLOOP executions
#define PERF_ACCURATE	1
#define MINSEC			0.1
#define MINLOOP			10
#define MAXLOOP			10000

// Experimental
#define MEMMARGIN		500000000 // memory margin for calculating maximum problem size
#define TEMPLIMIT		90  // temperature limit (with NVML)
#define PITCHALLOC		1 // pitched alloc (default: yes=1)
#define DDMADCOUNT		16 // num of double-precision floating instructions for DD-MAD (for theoretical peak performance calculation)
#define DFMADCOUNT		16 // num of double-precision floating instructions for DF-MAD (for theoretical peak performance calculation)

// Debug mode
#define DEBUG_PRINT		0
#define DEBUG_ALLSKIP	0

// multiple GPU
#define NGPU_MAX		8
// ***** SETTING ***********************************

#endif
